package com.jeesite.modules.admin.wenjuan.service;

import java.util.List;

import com.jeesite.modules.admin.wenjuan.dao.AdminQuestionnaireSurveyDao;
import com.jeesite.modules.admin.wenjuan.entity.AdminQuestionnaireSurvey;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;

/**
 * 问卷调查表Service
 * @author wlc
 * @version 2022-06-16
 */
@Service
@Transactional(readOnly=true)
public class AdminQuestionnaireSurveyService extends CrudService<AdminQuestionnaireSurveyDao, AdminQuestionnaireSurvey> {
	
	/**
	 * 获取单条数据
	 * @param adminQuestionnaireSurvey
	 * @return
	 */
	@Override
	public AdminQuestionnaireSurvey get(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		return super.get(adminQuestionnaireSurvey);
	}
	
	/**
	 * 查询分页数据
	 * @param adminQuestionnaireSurvey 查询条件
	 * @param adminQuestionnaireSurvey.page 分页对象
	 * @return
	 */
	@Override
	public Page<AdminQuestionnaireSurvey> findPage(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		return super.findPage(adminQuestionnaireSurvey);
	}
	
	/**
	 * 查询列表数据
	 * @param adminQuestionnaireSurvey
	 * @return
	 */
	@Override
	public List<AdminQuestionnaireSurvey> findList(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		return super.findList(adminQuestionnaireSurvey);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param adminQuestionnaireSurvey
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		super.save(adminQuestionnaireSurvey);
	}
	
	/**
	 * 更新状态
	 * @param adminQuestionnaireSurvey
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		super.updateStatus(adminQuestionnaireSurvey);
	}
	
	/**
	 * 删除数据
	 * @param adminQuestionnaireSurvey
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(AdminQuestionnaireSurvey adminQuestionnaireSurvey) {
		super.delete(adminQuestionnaireSurvey);
	}
	
}